Subject: [ppc] Disparity between sys_clock_getres and vdso implementation

From: Sripathi Kodi <[email-masked]>
Date: Sun, 27 Jan 2008 19:32:59 +0530

Hi Paul,

On PPC, I see a disparity between clock_getres implementations in the
vdso and syscall. I am using a IBM Openpower hardware and 2.6.24 kernel
with CONFIG_HIGH_RES_TIMERS=y. 

clock_getres call for CLOCK_REALTIME returns 1 millisecond. However,
when I edit arch/powerpc/kernel/vdso*/gettimeofday.S to force it to use 
sys_clock_getres, I get 1 nanosecond resolution. The code in vdso seems
to be returning some pre-defined (incorrect) variables.

Could you please let me know the reason for this? Is it something that
should be fixed in vdso?

Thanks,
Sripathi.